| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
eprosima::fastdds Namespace Reference

## Namespaces

namespace | types
namespace | xmlparser
namespace | rtps
| Contains the RTPS protocol implementation.
namespace | dds
namespace | statistics

## Classes

class | LibrarySettings
| Class LibraySettings, used by the user to define the Fast DDS library behaviour. More...
struct | ResourceLimitedContainerConfig
| Specifies the configuration of a resource limited collection. More...
class | ResourceLimitedVector
| Resource limited wrapper of std::vector. More...
struct | DiffFunction
class | BitmapRange
| Template class to hold a range of items using a custom bitmap. More...
class | MD5
| Class MD5, for calculating MD5 hashes of strings or byte arrays it is not meant to be fast or secure. More...

## Typedefs

using | LivelinessLostStatus = fastdds::dds::BaseStatus
using | TimedConditionVariable = std::condition_variable_any
using | TimedMutex = std::timed_mutex
using | RecursiveTimedMutex = std::recursive_timed_mutex

## Enumerations

enum | IntraprocessDeliveryType { INTRAPROCESS_OFF , INTRAPROCESS_USER_DATA_ONLY , INTRAPROCESS_FULL }

## Functions

bool | operator== (const ResourceLimitedContainerConfig &lhs, const ResourceLimitedContainerConfig &rhs)
std::string | md5 (const std::string str)

## Typedef Documentation

## ◆ LivelinessLostStatus

using LivelinessLostStatus = fastdds::dds::BaseStatus

## ◆ RecursiveTimedMutex

using RecursiveTimedMutex = std::recursive_timed_mutex

## ◆ TimedConditionVariable

using TimedConditionVariable = std::condition_variable_any

## ◆ TimedMutex

using TimedMutex = std::timed_mutex

## Enumeration Type Documentation

## ◆ IntraprocessDeliveryType

enum IntraprocessDeliveryType

Enumerator
INTRAPROCESS_OFF |
INTRAPROCESS_USER_DATA_ONLY |
INTRAPROCESS_FULL |

## Function Documentation

## ◆ md5()

std::string md5 | ( | const std::string | str | ) |

## ◆ operator==()

bool operator== | ( | const ResourceLimitedContainerConfig & | lhs,
|  | const ResourceLimitedContainerConfig & | rhs )

inline